# Retrieve an invoice rendering template

Retrieves an invoice rendering template with the given ID. It by default returns the latest version of the template. Optionally, specify a version to see previous versions.

## Request

```curl
curl https://api.stripe.com/v1/invoice_rendering_templates/inrtem_abc \
  -u "<<YOUR_SECRET_KEY>>:" \
  -H "Stripe-Version: 2026-10-28.endive"
```

### Response

```json
{
  "id": "inrtem_abc",
  "object": "invoice_rendering_template",
  "nickname": "My Invoice Template",
  "status": "active",
  "version": 1,
  "created": 1678942624,
  "livemode": false
}
```

## Parameters

- `id` (string, required)
  Unique identifier for the object.

## Returns

Returns an [invoice_rendering_template](https://docs.stripe.com/api/invoice-rendering-template/retrieve.md#invoice_rendering_template_object) object if a valid invoice rendering template ID is provided, and raises [an error](https://docs.stripe.com/api/invoice-rendering-template/retrieve.md#errors) otherwise.
